## qiv 1.1

=== Makefile ===
######################################################################
# Makefile for qiv
# User Options
######################################################################

# Directory where qiv will be installed under.

PREFIX = /usr/local

# Should image be centered on screen by default? 1=yes, 0=no.

CENTER = 1

# Font to use for statusbar in fullscreen mode

STATUSBAR_FONT = \"-misc-fixed-bold-r-normal-*-*-120-*-*-c-*-iso8859-1\"

# Cursor to use on qiv windows - see
# /usr/X11R6/include/X11/cursorfont.h for more choices.

CURSOR = 84

# If you want to turn window manager kludging on by default,
# set this to 1. see README for more info.

WM_HANDLE = 0

# The first line of this list should reflect the libraries which are
# compiled into imlib on your system. If your system's C library does
# not declare random/srandom or getopt_long, remove RANDOM and/or
# GETOPT_LONG in the second line.

HAVE_LIBS = GIF TIFF XPM XBM PNG PPM PNM PGM PCX BMP EIM JPEG TGA \
            RANDOM GETOPT_LONG

# The following only apply to 'make install-xscreensaver':
# Delay in minutes to start xscreensaver

SS_TIMEOUT = 5

# Delay in minutes to cycle between xscreensaver programs

SS_CYCLE = 5

# Delay in seconds to wait between images

SS_DELAY = 5

# Image files to display

SS_IMAGES = ~/pictures/*.jpg

# Comment out this line to have pictures be dislayed sequentially

SS_RANDOMIZE = -r

######################################################################
# Variables and Rules
# Do not edit below here!
######################################################################

CC        = gcc
CFLAGS    = -O2 -Wall -s -fomit-frame-pointer -finline-functions \
	    -fcaller-saves -ffast-math -fno-strength-reduce \
	    -fthread-jumps

INCLUDES  = `imlib-config --cflags-gdk`
LIBS      = `imlib-config --libs-gdk`

PROGRAM   = qiv
OBJS      = image.o filter.o options.o utils.o main.o
HEADERS   = qiv.h
DEFINES   = $(patsubst %,-DHAVE_%, $(HAVE_LIBS)) \
            -DCENTER=$(CENTER) \
	    -DSTATUSBAR_FONT=$(STATUSBAR_FONT) \
	    -DCURSOR=$(CURSOR) \
	    -DWM_HANDLE=$(WM_HANDLE)

ifeq (,$(findstring GETOPT_LONG,$(HAVE_LIBS)))
OBJS     += getopt.o getopt1.o
endif

PROGRAM_G = qiv-g
OBJS_G    = $(OBJS:.o=.g)
DEFINES_G = $(DEFINES) -DDEBUG

SS_PROG   = $(PREFIX)/ss-qiv

######################################################################

all: $(PROGRAM)

$(PROGRAM): $(OBJS)
	$(CC) $(CFLAGS) $(DEFINES) $(LIBS) $(OBJS) -o $(PROGRAM)

$(OBJS): %.o: %.c $(HEADERS)
	$(CC) -c $(CFLAGS) $(DEFINES) $(INCLUDES) $< -o $@

######################################################################

debug: $(PROGRAM_G)

$(PROGRAM_G): $(OBJS_G)
	$(CC) -g $(CFLAGS) $(DEFINES_G) $(LIBS) $(OBJS_G) -o $(PROGRAM_G)

$(OBJS_G): %.g: %.c $(HEADERS)
	$(CC) -c -g $(CFLAGS) $(DEFINES_G) $(INCLUDES) $< -o $@

######################################################################

clean :  
	rm -f $(PROGRAM) $(PROGRAM_G) $(OBJS) $(OBJS_G) getopt.o getopt1.o

install: $(PROGRAM)
	install -s -m 0755 $(PROGRAM) $(PREFIX)/bin
	install -m 0644 $(PROGRAM).1 $(PREFIX)/man/man1
	gzip $(PREFIX)/man/man1/$(PROGRAM).1
	@if ./qiv -o white -f ./intro.jpg ; \
	then echo "-- Test Passed --" ; \
	else echo "-- Test Failed --" ; \
	fi

install-xscreensaver: install
	@echo "#!/bin/sh" > $(SS_PROG)
	@echo "xhost +`hostname` 1> /dev/null" >> $(SS_PROG)
	@echo "xrdb < ~/.qivrc" >> $(SS_PROG)
	@echo "xscreensaver 1> /dev/null &" >>  $(SS_PROG)
	@echo "xscreensaver.timeout: $(SS_TIMEOUT)" > ~/.qivrc
	@echo "xscreensaver.cycle: $(SS_CYCLE)" >> ~/.qivrc
	@echo "xscreensaver.programs: qiv -iftsd $(SS_DELAY) $(SS_RANDOMIZE) $(SS_IMAGES)" >> ~/.qivrc
	echo "Start screensaver with ss-qiv"

## qiv 1.7

=== Makefile ===
######################################################################
# Makefile for qiv
# User Options
######################################################################

# Directory where qiv will be installed under.
PREFIX = /usr/local

# Font to use for statusbar in fullscreen mode
STATUSBAR_FONT = "fixed"

# Cursor to use on qiv windows - see
# /usr/X11R6/include/X11/cursorfont.h for more choices.
CURSOR = 84

# Should image be centered on screen by default? 1=yes, 0=no.
CENTER = 1

# Should images be filtered by extension? 1=yes, 0=no.
FILTER = 1

# This sets the file extentions to filter on (other file types will be
# skipped.) It should reflect whatever is compiled into imlib.
EXTNS = GIF TIFF XPM XBM PNG PPM PNM PGM PCX BMP EIM JPEG TGA

# Comment this line out if your system doesn't have getopt_long().
GETOPT_LONG = -DHAVE_GETOPT_LONG

# This program will be run on the manual page after it is installed.
# If you don't want to compress the manpage, change it to 'true'.
COMPRESS_PROG = gzip -9f 

######################################################################

# The following only apply to 'make install-xscreensaver':
# Delay in minutes to start xscreensaver
SS_TIMEOUT = 5

# Delay in minutes to cycle between xscreensaver programs
SS_CYCLE = 5

# Delay in seconds to wait between images
SS_DELAY = 5

# Image files to display
SS_IMAGES = ~/pictures/*.jpg

# Comment out this line to have pictures be dislayed sequentially
SS_RANDOMIZE = -r

######################################################################
# Variables and Rules
# Do not edit below here!
######################################################################

CC        = gcc
CFLAGS    = -O2 -Wall -fomit-frame-pointer -finline-functions \
	    -fcaller-saves -ffast-math -fno-strength-reduce \
	    -fthread-jumps #-march=pentium #-DSTAT_MACROS_BROKEN

INCLUDES  = `imlib-config --cflags-gdk`
LIBS      = `imlib-config --libs-gdk`

PROGRAM   = qiv
OBJS      = main.o image.o event.o options.o utils.o
HEADERS   = qiv.h
DEFINES   = $(patsubst %,-DEXTN_%, $(EXTNS)) \
            $(GETOPT_LONG) \
            -DSTATUSBAR_FONT='$(STATUSBAR_FONT)' \
            -DCENTER=$(CENTER) \
            -DFILTER=$(FILTER) \
            -DCURSOR=$(CURSOR)

ifndef GETOPT_LONG
OBJS     += lib/getopt.o lib/getopt1.o
OBJS_G   += lib/getopt.g lib/getopt1.g
endif

PROGRAM_G = qiv-g
OBJS_G    = $(OBJS:.o=.g)
DEFINES_G = $(DEFINES) -DDEBUG

SS_PROG   = $(PREFIX)/ss-qiv

######################################################################

all: $(PROGRAM)

$(PROGRAM): $(OBJS)
	$(CC) $(CFLAGS) $(DEFINES) $(LIBS) $(OBJS) -o $(PROGRAM)

$(OBJS): %.o: %.c $(HEADERS)
	$(CC) -c $(CFLAGS) $(DEFINES) $(INCLUDES) $< -o $@

main.o: main.h

######################################################################

debug: $(PROGRAM_G)

$(PROGRAM_G): $(OBJS_G)
	$(CC) -g $(CFLAGS) $(DEFINES_G) $(LIBS) $(OBJS_G) -o $(PROGRAM_G)

$(OBJS_G): %.g: %.c $(HEADERS)
	$(CC) -c -g $(CFLAGS) $(DEFINES_G) $(INCLUDES) $< -o $@

######################################################################

clean :  
	@echo "Cleaning up..."
	rm -f $(PROGRAM) $(PROGRAM_G) $(OBJS) $(OBJS_G)

install: $(PROGRAM)
	@echo "Installing..."
	install -s -m 0755 $(PROGRAM) $(PREFIX)/bin
	install -m 0644 $(PROGRAM).1 $(PREFIX)/man/man1
	$(COMPRESS_PROG) $(PREFIX)/man/man1/$(PROGRAM).1
	@if ./qiv -o white -f ./intro.jpg ; \
	then echo "-- Test Passed --" ; \
	else echo "-- Test Failed --" ; \
	fi

install-xscreensaver: install
	@echo "#!/bin/sh" > $(SS_PROG)
	@echo "xhost +`hostname` 1> /dev/null" >> $(SS_PROG)
	@echo "xrdb < ~/.qivrc" >> $(SS_PROG)
	@echo "xscreensaver 1> /dev/null &" >>  $(SS_PROG)
	@echo "xscreensaver.timeout: $(SS_TIMEOUT)" > ~/.qivrc
	@echo "xscreensaver.cycle: $(SS_CYCLE)" >> ~/.qivrc
	@echo "xscreensaver.programs: qiv -iftsd $(SS_DELAY) $(SS_RANDOMIZE) $(SS_IMAGES)" >> ~/.qivrc
	echo "Start screensaver with ss-qiv"

# the end... ;-)

## qiv 2.1~pre12

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-######################################################################
-# Makefile for qiv
+#######################################################################
+# Makefile for qiv - Quick Image Viewer - http://www.klografx.net/qiv/
 # User Options
-######################################################################
+#######################################################################
 
 # Directory where qiv will be installed under.
 PREFIX = /usr/local
@@ -28,7 +28,11 @@
 
 # This program will be run on the manual page after it is installed.
 # If you don't want to compress the manpage, change it to 'true'.
-COMPRESS_PROG = gzip -9f 
+COMPRESS_PROG = gzip -9f
+
+# Comment this line out if your system doesn't have libXinerama
+# installed (for centering on dual-screen)
+GTD_XINERAMA = -DGTD_XINERAMA
 
 ######################################################################
 
@@ -54,26 +58,41 @@
 ######################################################################
 
 CC        = gcc
-CFLAGS    = -O2 -Wall -fomit-frame-pointer -finline-functions \
+CFLAGS    = -O2 -Wall \
 	    -fcaller-saves -ffast-math -fno-strength-reduce \
 	    -fthread-jumps #-march=pentium #-DSTAT_MACROS_BROKEN
+#CFLAGS    = -O2 -Wall -fomit-frame-pointer -finline-functions \
+#	    -fcaller-saves -ffast-math -fno-strength-reduce \
+#	    -fthread-jumps #-march=pentium #-DSTAT_MACROS_BROKEN
 
 INCLUDES  = `imlib-config --cflags-gdk`
 LIBS      = `imlib-config --libs-gdk`
+# [as] thinks that this is not portable enough
+# [lc] I use a virtual screen of 1600x1200, and the resolution is 1024x768,
+# so I changed (in main.c) how screen_[x,y] is obtained; it seems that gtk
+# 1.2 cannot give the geometry of viewport, so I borrowed from the source
+# of xvidtune the code for calling XF86VidModeGetModeLine, this requires
+# the linking option -lXxf86vm.
+#LIBS      = `imlib-config --libs-gdk` -lXxf86vm
 
 PROGRAM   = qiv
-OBJS      = main.o image.o event.o options.o utils.o
+OBJS      = main.o image.o event.o options.o utils.o xmalloc.o
 HEADERS   = qiv.h
 DEFINES   = $(patsubst %,-DEXTN_%, $(EXTNS)) \
             $(GETOPT_LONG) \
             -DSTATUSBAR_FONT='$(STATUSBAR_FONT)' \
             -DCENTER=$(CENTER) \
             -DFILTER=$(FILTER) \
-            -DCURSOR=$(CURSOR)
+            -DCURSOR=$(CURSOR) \
+	    $(GTD_XINERAMA)
 
 ifndef GETOPT_LONG
 OBJS     += lib/getopt.o lib/getopt1.o
 OBJS_G   += lib/getopt.g lib/getopt1.g
+endif
+
+ifdef GTD_XINERAMA
+LIBS	 += -L/usr/X11R6/lib -lXinerama
 endif
 
 PROGRAM_G = qiv-g
@@ -87,7 +106,7 @@
 all: $(PROGRAM)
 
 $(PROGRAM): $(OBJS)
-	$(CC) $(CFLAGS) $(DEFINES) $(LIBS) $(OBJS) -o $(PROGRAM)
+	$(CC) $(CFLAGS) $(DEFINES) $(OBJS) $(LIBS) -o $(PROGRAM)
 
 $(OBJS): %.o: %.c $(HEADERS)
 	$(CC) -c $(CFLAGS) $(DEFINES) $(INCLUDES) $< -o $@
@@ -108,17 +127,21 @@
 
 clean :  
 	@echo "Cleaning up..."
-	rm -f $(PROGRAM) $(PROGRAM_G) $(OBJS) $(OBJS_G)
+	rm -f $(OBJS) $(OBJS_G)
+
+distclean : clean
+	rm -f $(PROGRAM) $(PROGRAM_G)
 
 install: $(PROGRAM)
-	@echo "Installing..."
+	@echo "Installing QIV..."
 	install -s -m 0755 $(PROGRAM) $(PREFIX)/bin
 	install -m 0644 $(PROGRAM).1 $(PREFIX)/man/man1
 	$(COMPRESS_PROG) $(PREFIX)/man/man1/$(PROGRAM).1
-	@if ./qiv -o white -f ./intro.jpg ; \
+	@if ./qiv -f ./intro.jpg ; \
 	then echo "-- Test Passed --" ; \
 	else echo "-- Test Failed --" ; \
 	fi
+	@echo -ne "\nDont forget to look into the \"qiv-command\" file and install it!\n-> cp qiv-command.example /usr/local/bin/qiv-command\n\n" 
 
 install-xscreensaver: install
 	@echo "#!/bin/sh" > $(SS_PROG)

## qiv 2.2.2

=== Makefile ===
#######################################################################
# Makefile for qiv - Quick Image Viewer - http://qiv.spiegl.de/
# User Options
#######################################################################

# Directory where qiv will be installed under.
PREFIX = /usr/local

# Font to use for statusbar in fullscreen mode
STATUSBAR_FONT = "fixed"

# Cursor to use on qiv windows - see
# /usr/X11R6/include/X11/cursorfont.h for more choices.
CURSOR = 84

# Should image be centered on screen by default? 1=yes, 0=no.
CENTER = 1

# Should images be filtered by extension? 1=yes, 0=no.
FILTER = 1

# This sets the file extentions to filter on (other file types will be
# skipped.) It should reflect whatever is compiled into imlib.
# The latest version of imlib has removed imagemagick fallback support,
# so some extensions (XBM TGA) have been removed.
EXTNS = GIF TIFF XPM PNG PPM PNM PGM PCX BMP EIM JPEG

# Comment this line out if your system doesn't have getopt_long().
GETOPT_LONG = -DHAVE_GETOPT_LONG

# This program will be run on the manual page after it is installed.
# If you don't want to compress the manpage, change it to 'true'.
COMPRESS_PROG = gzip -9f

# Comment this line out if your system doesn't have libXinerama
# installed (for centering on dual-screen)
GTD_XINERAMA = -DGTD_XINERAMA

# Comment this line out if you do not want to use libexif to
# autorotate images
EXIF = -DHAVE_EXIF

# Comment this line out if you do not want to use libmagic to
# identify if a file is an image
MAGIC = -DHAVE_MAGIC

######################################################################
# Variables and Rules
# Do not edit below here!
######################################################################

CC        = gcc
#CFLAGS    = -O -g -Wall
CFLAGS    = -O2 -Wall \
	    -fcaller-saves -ffast-math -fno-strength-reduce \
	    -fthread-jumps #-march=pentium #-DSTAT_MACROS_BROKEN
#CFLAGS    = -O2 -Wall -fomit-frame-pointer -finline-functions \
#	    -fcaller-saves -ffast-math -fno-strength-reduce \
#	    -fthread-jumps #-march=pentium #-DSTAT_MACROS_BROKEN

INCLUDES  := $(shell pkg-config --cflags gdk-2.0 imlib2)
LIBS      := $(shell pkg-config --libs gdk-2.0 imlib2)

# [as] thinks that this is not portable enough:
# [lc] I use a virtual screen of 1600x1200, and the resolution is 1024x768,
# so I changed (in main.c) how screen_[x,y] is obtained; it seems that gtk
# 1.2 cannot give the geometry of viewport, so I borrowed from the source
# of xvidtune the code for calling XF86VidModeGetModeLine, this requires
# the linking option -lXxf86vm.
#LIBS      += -lXxf86vm

PROGRAM   = qiv
OBJS      = main.o image.o event.o options.o utils.o xmalloc.o
HEADERS   = qiv.h
DEFINES   = $(patsubst %,-DEXTN_%, $(EXTNS)) \
            $(GETOPT_LONG) \
            -DSTATUSBAR_FONT='$(STATUSBAR_FONT)' \
            -DCENTER=$(CENTER) \
            -DFILTER=$(FILTER) \
            -DCURSOR=$(CURSOR) \
            $(EXIF) \
            $(MAGIC) \
            $(GTD_XINERAMA)

ifndef GETOPT_LONG
OBJS     += lib/getopt.o lib/getopt1.o
OBJS_G   += lib/getopt.g lib/getopt1.g
endif

ifdef GTD_XINERAMA
LIBS     += -L/usr/X11R6/lib -lXinerama
endif

ifdef MAGIC
LIBS    += -lmagic
endif

ifdef EXIF
LIBS     += -lexif
endif

PROGRAM_G = qiv-g
OBJS_G    = $(OBJS:.o=.g)
DEFINES_G = $(DEFINES) -DDEBUG

######################################################################

all: $(PROGRAM)

$(PROGRAM): $(OBJS)
	$(CC) $(CFLAGS) $(DEFINES) $(OBJS) $(LIBS) -o $(PROGRAM)

$(OBJS): %.o: %.c $(HEADERS)
	$(CC) -c $(CFLAGS) $(DEFINES) $(INCLUDES) $< -o $@

main.o: main.h

######################################################################

debug: $(PROGRAM_G)

$(PROGRAM_G): $(OBJS_G)
	$(CC) -g $(CFLAGS) $(DEFINES_G) $(LIBS) $(OBJS_G) -o $(PROGRAM_G)

$(OBJS_G): %.g: %.c $(HEADERS)
	$(CC) -c -g $(CFLAGS) $(DEFINES_G) $(INCLUDES) $< -o $@

######################################################################

clean :
	@echo "Cleaning up..."
	rm -f $(OBJS) $(OBJS_G)

distclean : clean
	rm -f $(PROGRAM) $(PROGRAM_G)

install: $(PROGRAM)
	@echo "Installing QIV..."
	install -s -m 0755 $(PROGRAM) $(PREFIX)/bin
	install -m 0644 $(PROGRAM).1 $(PREFIX)/man/man1
	$(COMPRESS_PROG) $(PREFIX)/man/man1/$(PROGRAM).1
	@if ./qiv -f ./intro.jpg ; \
	then echo "-- Test Passed --" ; \
	else echo "-- Test Failed --" ; \
	fi
	@echo -ne "\nDont forget to look into the \"qiv-command\" file and install it!\n-> cp qiv-command.example /usr/local/bin/qiv-command\n\n"

# the end... ;-)

## qiv 2.2.3

=== Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 # skipped.) It should reflect whatever is compiled into imlib.
 # The latest version of imlib has removed imagemagick fallback support,
 # so some extensions (XBM TGA) have been removed.
-EXTNS = GIF TIFF XPM PNG PPM PNM PGM PCX BMP EIM JPEG
+EXTNS = GIF TIFF XPM PNG PPM PNM PGM PCX BMP EIM JPEG SVG WMF ICO
 
 # Comment this line out if your system doesn't have getopt_long().
 GETOPT_LONG = -DHAVE_GETOPT_LONG
@@ -35,10 +35,6 @@
 # Comment this line out if your system doesn't have libXinerama
 # installed (for centering on dual-screen)
 GTD_XINERAMA = -DGTD_XINERAMA
-
-# Comment this line out if you do not want to use libexif to
-# autorotate images
-EXIF = -DHAVE_EXIF
 
 # Comment this line out if you do not want to use libmagic to
 # identify if a file is an image
@@ -59,7 +55,7 @@
 #	    -fthread-jumps #-march=pentium #-DSTAT_MACROS_BROKEN
 
 INCLUDES  := $(shell pkg-config --cflags gdk-2.0 imlib2)
-LIBS      := $(shell pkg-config --libs gdk-2.0 imlib2)
+LIBS      := $(shell pkg-config --libs gdk-2.0 imlib2) -lX11
 
 # [as] thinks that this is not portable enough:
 # [lc] I use a virtual screen of 1600x1200, and the resolution is 1024x768,
@@ -78,7 +74,6 @@
             -DCENTER=$(CENTER) \
             -DFILTER=$(FILTER) \
             -DCURSOR=$(CURSOR) \
-            $(EXIF) \
             $(MAGIC) \
             $(GTD_XINERAMA)
 
@@ -93,10 +88,6 @@
 
 ifdef MAGIC
 LIBS    += -lmagic
-endif
-
-ifdef EXIF
-LIBS     += -lexif
 endif
 
 PROGRAM_G = qiv-g

## qiv 2.2.4-0maemo1

=== debian/changelog ===
qiv (2.2.4-0maemo1) unstable; urgency=low

  * Give it a try ...

 -- COLIN Stephane <colin.stephane@ovi.com>  Sun, 30 Dec 2012 23:23:09 +0100

qiv (2.2.4-1) unstable; urgency=low

  * New upstream release.

 -- Bart Martens <bartm@debian.org>  Sun, 22 May 2011 15:53:15 +0000

qiv (2.2.3-1) unstable; urgency=low

  * New upstream release.  Closes: #572165, #556303, #532055.

 -- Bart Martens <bartm@debian.org>  Fri, 19 Mar 2010 20:12:33 +0100

qiv (2.2.2-1) unstable; urgency=low

  * New upstream release.

 -- Bart Martens <bartm@debian.org>  Sun, 31 May 2009 23:39:50 +0200

qiv (2.2.1-1) unstable; urgency=low

  * New upstream release.

 -- Bart Martens <bartm@debian.org>  Fri, 29 May 2009 20:55:08 +0200

qiv (2.2-1) unstable; urgency=low

  * New upstream release.  Closes: #456133, #497286.
  * debian/patches_amd64/01_no_GDK_WA_WMCLASS.diff: Removed.
  * debian/patches_powerpc/01_no_GDK_WA_WMCLASS.diff: Removed.
  * debian/patches/09_man_xscreensaver.diff: Removed.
  * debian/patches/12_cmdbuflen.diff: Removed.
  * debian/patches/13_gtk_includes.diff: Disabled.
  * debian/patches/14_bash.diff: Added.  Closes: #489650.
  * debian/control: Build-Depends: libimlib2-dev, libgtk2.0-dev, libmagic-dev,
    libexif-dev.
  * debian/copyright: Added description of how the .orig.tar.gz was made.
  * debian/watch: Updated for new upstream download site.

 -- Bart Martens <bartm@debian.org>  Thu, 30 Apr 2009 09:10:08 +0200

qiv (2.1~pre12-5) unstable; urgency=low

  * debian/patches_powerpc/01_no_GDK_WA_WMCLASS.diff: Added.  Closes: #461940.
    Same patch as added for amd64 in 2.1~pre12-2, see below.

 -- Bart Martens <bartm@debian.org>  Fri, 25 Jan 2008 18:36:45 +0100

qiv (2.1~pre12-4) unstable; urgency=low

  * debian/patches/13_gtk_includes.diff: Added.  Closes: #456854.

 -- Bart Martens <bartm@debian.org>  Thu, 20 Dec 2007 09:42:35 +0100

qiv (2.1~pre12-3) unstable; urgency=low

  * debian/patches/12_cmdbuflen.diff: Added.  Closes: #441401.  Thanks to
    Norman Ramsey <nr@eecs.harvard.edu>.

 -- Bart Martens <bartm@knars.be>  Sun, 23 Sep 2007 18:15:48 +0200

qiv (2.1~pre12-2) unstable; urgency=low

  * debian/rules: Added support for architecture specific patches.
  * debian/patches_amd64/01_no_GDK_WA_WMCLASS.diff: Added.  Closes: #426754.

 -- Bart Martens <bartm@knars.be>  Sun, 03 Jun 2007 17:55:13 +0200

qiv (2.1~pre12-1) unstable; urgency=low

  * New upstream (pre)release.  Closes: #422035.
  * debian/README.Debian-source: Explains the .orig.tar.gz file.
  * debian/bin/qiv, debian/install, debian/rules, debian/lintian/qiv,
    debian/patches/08_hide_therealqiv.diff: Removed the wrapper that was added
    in version 2.0-5.
  * debian/docs: Additionally install README.TODO.
  * debian/docs: Don't install debian/NEWS.Debian, see disabled patches below.
  * Removed obsolete patches:
      debian/patches/01.fix_xinerama.diff
      debian/patches/02.typo_envoked.diff
      debian/patches/03.additional_keys.diff
      debian/patches/04.qiv-nosort.diff
      debian/patches/05.qiv-manpage-options.diff
      debian/patches/06.xmalloc.diff
      debian/patches/10_qiv-nosort_2.diff
  * Updated patch: debian/patches/09_man_xscreensaver.diff
  * Disabled patches:
      debian/patches/07_no_background_opts.diffDISABLED
      debian/patches/11_no_background_opts_2.diffDISABLED
  * debian/copyright: Updated.
  * debian/watch: Updated.

 -- Bart Martens <bartm@knars.be>  Sun, 20 May 2007 14:01:49 +0200

qiv (2.0-8) unstable; urgency=low

  * debian/README.Debian, debian/docs: Removed README.Debian, and install
    debian/NEWS.Debian.  Closes: #403936.
  * debian/qiv.mime: Updated.  Closes: #404220.  Thanks to Roman Galeyev
    <me@jamhed.pp.ru>.

 -- Bart Martens <bartm@knars.be>  Sat, 27 Jan 2007 17:02:56 +0100

qiv (2.0-7) unstable; urgency=low

  * debian/NEWS.Debian: Added.
  * debian/patches/10_qiv-nosort_2.diff: Added.  Closes: #383110.
  * debian/patches/11_no_background_opts_2.diff: Added.  Closes: #351816.

 -- Bart Martens <bartm@knars.be>  Wed,  6 Dec 2006 19:58:52 +0100

qiv (2.0-6) unstable; urgency=low

  * debian/patches/07_no_background_opts.diff: Added.  Closes: #351816.
  * debian/patches/08_hide_therealqiv.diff: Added, to hide "therealqiv".
  * debian/patches/09_man_xscreensaver.diff: Added.  Closes: #360514.
  * debian/bin/qiv: Use "exec".  Closes: #399596.

 -- Bart Martens <bartm@knars.be>  Wed, 22 Nov 2006 14:52:29 +0100

qiv (2.0-5) unstable; urgency=low

  * New maintainer.  Closes: #398124.
  * Acknowledge NMU's.  Closes: #320115, #347042.
  * debian/*: Repackaged with cdbs.
  * debian/control: Updated build-depends to gdk-imlib11-dev.
  * debian/patches/*: Converted dpatches to diff files.
  * debian/patches/02.typo_envoked.diff: Added.  Closes: #311232.  Patch by A
    Costa <agcosta@gis.net>, thanks.
  * debian/patches/04.qiv-nosort.diff: Added.  Closes: #383110.  Patch by
    Kevin Locke <kwl7@cornell.edu>, thanks.
  * debian/patches/05.qiv-manpage-options.diff: Added.  Closes: #383108.
    Patch by Kevin Locke <kwl7@cornell.edu>, thanks.
  * debian/patches/06.xmalloc.diff: Added.  Closes: #383113.  Patch by Kevin
    Locke <kwl7@cornell.edu>, thanks.
  * debian/watch: Added.
  * debian/bin/qiv, debian/lintian/qiv, debian/rules: Add wrapper using
    XLIB_SKIP_ARGB_VISUALS=1 as workaround for problem in qiv with X composite
    extension.  Closes: #326849.  Thanks to Joerg Platte <lists@naasa.net>.

 -- Bart Martens <bartm@knars.be>  Sun, 12 Nov 2006 09:21:38 +0100

qiv (2.0-4.2) unstable; urgency=low

  * NMU.
  * debian/patches/02.improves_bgimage_setting.dpatch, debian/patches/00list:
    Removed patch with regression.  Closes: #320115.
  * debian/copyright: Fixed old-fsf-address-in-copyright-file.
  * debian/control: Standards version.
  * debian/control: Adjusted homepage.

 -- Bart Martens <bartm@knars.be>  Sat, 13 May 2006 21:00:04 +0200

qiv (2.0-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update build-deps for xlibs-dev removal; closes: #347042.



=== debian/control ===
Source: qiv
Section: graphics
Priority: extra
Maintainer: Bart Martens <bartm@debian.org>
Build-Depends: cdbs, debhelper (>= 5), libimlib2-dev, libgtk2.0-dev, libx11-dev, libxinerama-dev, libmagic-dev, libexif-dev
Standards-Version: 3.9.2
Homepage: http://qiv.spiegl.de/

Package: qiv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Quick image viewer for X
 Quick Image Viewer (qiv) is a very small and pretty fast GDK/Imlib image
 viewer. Features include zoom, maxpect, scale down, fullscreen,
 brightness/contrast/gamma correction, slideshow, pan with keyboard and mouse,
 rotate left/right, flip, delete (move to .qiv-trash/), jump to image x, jump
 forward/backward x images, filename filter, and you can use qiv to set your
 X11-Desktop background.
 .
 qiv also supports the assignment of external commands (like metacam) to unused
 keys.

## qiv 2.3.1

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 PREFIX = /usr/local
 
 # Font to use for statusbar in fullscreen mode
-STATUSBAR_FONT = "fixed"
+STATUSBAR_FONT = "Monospace 9"
 
 # Cursor to use on qiv windows - see
 # /usr/X11R6/include/X11/cursorfont.h for more choices.
@@ -32,13 +32,17 @@
 # If you don't want to compress the manpage, change it to 'true'.
 COMPRESS_PROG = gzip -9f
 
-# Comment this line out if your system doesn't have libXinerama
-# installed (for centering on dual-screen)
-GTD_XINERAMA = -DGTD_XINERAMA
+# Comment this line out if your system doesn't have lcms2 installed
+# (for minimal Color Management support)
+LCMS = -DSUPPORT_LCMS
 
 # Comment this line out if you do not want to use libmagic to
 # identify if a file is an image
 MAGIC = -DHAVE_MAGIC
+
+# Comment this line out if you do not want to use libexif to
+# display the exif contents of a jpg 
+EXIF = -DHAVE_EXIF
 
 ######################################################################
 # Variables and Rules
@@ -46,7 +50,7 @@
 ######################################################################
 
 CC        = gcc
-#CFLAGS    = -O -g -Wall
+#CFLAGS    = -O0 -g -Wall
 CFLAGS    = -O2 -Wall \
 	    -fcaller-saves -ffast-math -fno-strength-reduce \
 	    -fthread-jumps #-march=pentium #-DSTAT_MACROS_BROKEN
@@ -55,7 +59,7 @@
 #	    -fthread-jumps #-march=pentium #-DSTAT_MACROS_BROKEN
 
 INCLUDES  := $(shell pkg-config --cflags gdk-2.0 imlib2)
-LIBS      := $(shell pkg-config --libs gdk-2.0 imlib2) -lX11
+LIBS      := $(shell pkg-config --libs gdk-2.0 imlib2) -lX11 -lXext
 
 # [as] thinks that this is not portable enough:
 # [lc] I use a virtual screen of 1600x1200, and the resolution is 1024x768,
@@ -75,15 +79,22 @@
             -DFILTER=$(FILTER) \
             -DCURSOR=$(CURSOR) \
             $(MAGIC) \
-            $(GTD_XINERAMA)
+            $(EXIF) \
+            $(LCMS)
 
 ifndef GETOPT_LONG
 OBJS     += lib/getopt.o lib/getopt1.o
 OBJS_G   += lib/getopt.g lib/getopt1.g
 endif
 
-ifdef GTD_XINERAMA
-LIBS     += -L/usr/X11R6/lib -lXinerama
+ifdef LCMS
+INCLUDES  += $(shell pkg-config --cflags lcms2)
+LIBS      += $(shell pkg-config --libs lcms2) -ljpeg -ltiff
+endif
+
+ifdef EXIF
+INCLUDES  += $(shell pkg-config --cflags libexif)
+LIBS      += $(shell pkg-config --libs libexif)
 endif
 
 ifdef MAGIC
@@ -127,13 +138,31 @@
 
 install: $(PROGRAM)
 	@echo "Installing QIV..."
+	@if [ ! -e $(PREFIX)/bin ]; then \
+	  install -d -m 0755 $(PREFIX)/bin; \
+	  echo install -d -m 0755 $(PREFIX)/bin; \
+        fi
 	install -s -m 0755 $(PROGRAM) $(PREFIX)/bin
+	@if [ ! -e $(PREFIX)/man/man1 ]; then \
+	  echo install -d -m 0755 $(PREFIX)/man/man1; \
+	  install -d -m 0755 $(PREFIX)/man/man1; \
+	fi
 	install -m 0644 $(PROGRAM).1 $(PREFIX)/man/man1
 	$(COMPRESS_PROG) $(PREFIX)/man/man1/$(PROGRAM).1
+	@if [ ! -e $(PREFIX)/share/pixmaps ]; then \
+	  echo install -d -m 0755 $(PREFIX)/share/pixmaps; \
+	  install -d -m 0755 $(PREFIX)/share/pixmaps; \
+	fi
+	install -m 0644 qiv.png $(PREFIX)/share/pixmaps/qiv.png
+	@if [ ! -e $(PREFIX)/share/applications ]; then \
+	  echo install -d -m 0755 $(PREFIX)/share/applications; \
+	  install -d -m 0755 $(PREFIX)/share/applications; \
+	fi
+	install -m 0644 qiv.desktop $(PREFIX)/share/applications/qiv.desktop
 	@if ./qiv -f ./intro.jpg ; \
 	then echo "-- Test Passed --" ; \
 	else echo "-- Test Failed --" ; \
 	fi
-	@echo -ne "\nDont forget to look into the \"qiv-command\" file and install it!\n-> cp qiv-command.example /usr/local/bin/qiv-command\n\n"
+	@echo "\nDont forget to look into the \"qiv-command\" file and install it!\n-> cp qiv-command.example $(PREFIX)/bin/qiv-command\n\n"
 
 # the end... ;-)

## qiv 2.3.2

=== Makefile ===
--- 
+++ 
@@ -6,8 +6,9 @@
 # Directory where qiv will be installed under.
 PREFIX = /usr/local
 
-# Font to use for statusbar in fullscreen mode
+# Fonts to use for statusbar and comments
 STATUSBAR_FONT = "Monospace 9"
+COMMENT_FONT = "Monospace 20"
 
 # Cursor to use on qiv windows - see
 # /usr/X11R6/include/X11/cursorfont.h for more choices.
@@ -49,7 +50,11 @@
 # Do not edit below here!
 ######################################################################
 
-CC        = gcc
+ifeq ($(origin CC),default)
+CC = gcc
+endif
+
+PKG_CONFIG ?= pkg-config
 #CFLAGS    = -O0 -g -Wall
 CFLAGS    = -O2 -Wall \
 	    -fcaller-saves -ffast-math -fno-strength-reduce \
@@ -58,8 +63,8 @@
 #	    -fcaller-saves -ffast-math -fno-strength-reduce \
 #	    -fthread-jumps #-march=pentium #-DSTAT_MACROS_BROKEN
 
-INCLUDES  := $(shell pkg-config --cflags gdk-2.0 imlib2)
-LIBS      := $(shell pkg-config --libs gdk-2.0 imlib2) -lX11 -lXext
+INCLUDES  := $(shell $(PKG_CONFIG) --cflags gdk-2.0 imlib2)
+LIBS      := $(shell $(PKG_CONFIG) --libs gdk-2.0 imlib2) -lX11 -lXext -lgio-2.0
 
 # [as] thinks that this is not portable enough:
 # [lc] I use a virtual screen of 1600x1200, and the resolution is 1024x768,
@@ -75,6 +80,7 @@
 DEFINES   = $(patsubst %,-DEXTN_%, $(EXTNS)) \
             $(GETOPT_LONG) \
             -DSTATUSBAR_FONT='$(STATUSBAR_FONT)' \
+            -DCOMMENT_FONT='$(COMMENT_FONT)' \
             -DCENTER=$(CENTER) \
             -DFILTER=$(FILTER) \
             -DCURSOR=$(CURSOR) \
@@ -88,13 +94,13 @@
 endif
 
 ifdef LCMS
-INCLUDES  += $(shell pkg-config --cflags lcms2)
-LIBS      += $(shell pkg-config --libs lcms2) -ljpeg -ltiff
+INCLUDES  += $(shell $(PKG_CONFIG) --cflags lcms2)
+LIBS      += $(shell $(PKG_CONFIG) --libs lcms2) -ljpeg -ltiff
 endif
 
 ifdef EXIF
-INCLUDES  += $(shell pkg-config --cflags libexif)
-LIBS      += $(shell pkg-config --libs libexif)
+INCLUDES  += $(shell $(PKG_CONFIG) --cflags libexif)
+LIBS      += $(shell $(PKG_CONFIG) --libs libexif)
 endif
 
 ifdef MAGIC
@@ -112,7 +118,7 @@
 $(PROGRAM): $(OBJS)
 	$(CC) $(CFLAGS) $(DEFINES) $(OBJS) $(LIBS) -o $(PROGRAM)
 
-$(OBJS): %.o: %.c $(HEADERS)
+$(OBJS): %.o: %.c $(HEADERS) Makefile
 	$(CC) -c $(CFLAGS) $(DEFINES) $(INCLUDES) $< -o $@
 
 main.o: main.h
@@ -122,7 +128,7 @@
 debug: $(PROGRAM_G)
 
 $(PROGRAM_G): $(OBJS_G)
-	$(CC) -g $(CFLAGS) $(DEFINES_G) $(LIBS) $(OBJS_G) -o $(PROGRAM_G)
+	$(CC) -g $(CFLAGS) $(DEFINES_G) $(OBJS_G) $(LIBS) -o $(PROGRAM_G)
 
 $(OBJS_G): %.g: %.c $(HEADERS)
 	$(CC) -c -g $(CFLAGS) $(DEFINES_G) $(INCLUDES) $< -o $@
@@ -147,8 +153,8 @@
 	  echo install -d -m 0755 $(PREFIX)/man/man1; \
 	  install -d -m 0755 $(PREFIX)/man/man1; \
 	fi
-	install -m 0644 $(PROGRAM).1 $(PREFIX)/man/man1
-	$(COMPRESS_PROG) $(PREFIX)/man/man1/$(PROGRAM).1
+	install -m 0644 $(PROGRAM).1 $(PREFIX)/share/man/man1
+	$(COMPRESS_PROG) $(PREFIX)/share/man/man1/$(PROGRAM).1
 	@if [ ! -e $(PREFIX)/share/pixmaps ]; then \
 	  echo install -d -m 0755 $(PREFIX)/share/pixmaps; \
 	  install -d -m 0755 $(PREFIX)/share/pixmaps; \

=== debian/changelog ===
qiv (2.3.2-2build1) jammy; urgency=medium

  * No-change rebuild against latest gdk-pixbuf

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Wed, 09 Mar 2022 16:06:06 -0500

qiv (2.3.2-2) unstable; urgency=medium

  * debian/patches/install.diff: Added, closes: #969338.

 -- Bart Martens <bartm@debian.org>  Tue, 01 Sep 2020 07:26:46 +0200

qiv (2.3.2-1) unstable; urgency=medium

  * New upstream release. Closes: #969105, #879108.
  * Replaced cdbs by debhelper. Closes: #965793.
  * debian/patches/*: Removed disabled and obsolete patches.
  * debian/patches/prefix.diff, shareman.diff: Added, fixing Makefile for
    DESTDIR and location of man page.
  * debian/control: depend on libwmf0.2-7-gtk, closes: #952652.
  * debian/qiv.mime: Removed FITS. Closes: #723811.

 -- Bart Martens <bartm@debian.org>  Sun, 30 Aug 2020 09:26:00 +0200

qiv (2.3.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Build-Depends: liblcms2-dev.
  * debian/rules: Updated.  qiv-command.example is now in subdirectory.
  * debian/patches/14_bash.diff: Removed.  Now included upstream.
  * debian/patches/15_browse.diff: Removed.  Now included upstream.
  * debian/patches/16_usleep.diff: Added.  Closes: #745617.

 -- Bart Martens <bartm@debian.org>  Sun, 26 Oct 2014 11:05:52 +0100

qiv (2.2.4-2) unstable; urgency=low

  * debian/patches/15_browse.diff: Use the -B option only when there is at
    least one image to show.  Fixes segfault.  Closes: #702619.

 -- Bart Martens <bartm@debian.org>  Sat, 09 Mar 2013 17:33:16 +0000

## qiv 2.3.3

=== Makefile ===
--- 
+++ 
@@ -9,6 +9,7 @@
 # Fonts to use for statusbar and comments
 STATUSBAR_FONT = "Monospace 9"
 COMMENT_FONT = "Monospace 20"
+ARTIST_FONT = "Monospace 10"
 
 # Cursor to use on qiv windows - see
 # /usr/X11R6/include/X11/cursorfont.h for more choices.
@@ -21,10 +22,11 @@
 FILTER = 1
 
 # This sets the file extentions to filter on (other file types will be
-# skipped.) It should reflect whatever is compiled into imlib.
+# skipped.) It should reflect whatever can be loaded via gdk-pixbuf-loader
+# or is compiled into imlib.
 # The latest version of imlib has removed imagemagick fallback support,
 # so some extensions (XBM TGA) have been removed.
-EXTNS = GIF TIFF XPM PNG PPM PNM PGM PCX BMP EIM JPEG SVG WMF ICO
+EXTNS = GIF TIFF XPM PNG PPM PNM PGM PCX BMP EIM JPEG SVG WMF ICO WEBP HEIF
 
 # Comment this line out if your system doesn't have getopt_long().
 GETOPT_LONG = -DHAVE_GETOPT_LONG
@@ -55,6 +57,7 @@
 endif
 
 PKG_CONFIG ?= pkg-config
+INSTALL    ?= install
 #CFLAGS    = -O0 -g -Wall
 CFLAGS    = -O2 -Wall \
 	    -fcaller-saves -ffast-math -fno-strength-reduce \
@@ -81,6 +84,7 @@
             $(GETOPT_LONG) \
             -DSTATUSBAR_FONT='$(STATUSBAR_FONT)' \
             -DCOMMENT_FONT='$(COMMENT_FONT)' \
+            -DARTIST_FONT='$(ARTIST_FONT)' \
             -DCENTER=$(CENTER) \
             -DFILTER=$(FILTER) \
             -DCURSOR=$(CURSOR) \
@@ -145,26 +149,26 @@
 install: $(PROGRAM)
 	@echo "Installing QIV..."
 	@if [ ! -e $(PREFIX)/bin ]; then \
-	  install -d -m 0755 $(PREFIX)/bin; \
+	  $(INSTALL) -d -m 0755 $(PREFIX)/bin; \
 	  echo install -d -m 0755 $(PREFIX)/bin; \
         fi
-	install -s -m 0755 $(PROGRAM) $(PREFIX)/bin
-	@if [ ! -e $(PREFIX)/man/man1 ]; then \
-	  echo install -d -m 0755 $(PREFIX)/man/man1; \
-	  install -d -m 0755 $(PREFIX)/man/man1; \
+	$(INSTALL) -s -m 0755 $(PROGRAM) $(PREFIX)/bin
+	@if [ ! -e $(PREFIX)/share/man/man1 ]; then \
+	  echo install -d -m 0755 $(PREFIX)/share/man/man1; \
+	  $(INSTALL) -d -m 0755 $(PREFIX)/share/man/man1; \
 	fi
-	install -m 0644 $(PROGRAM).1 $(PREFIX)/share/man/man1
+	$(INSTALL) -m 0644 $(PROGRAM).1 $(PREFIX)/share/man/man1
 	$(COMPRESS_PROG) $(PREFIX)/share/man/man1/$(PROGRAM).1
 	@if [ ! -e $(PREFIX)/share/pixmaps ]; then \
 	  echo install -d -m 0755 $(PREFIX)/share/pixmaps; \
-	  install -d -m 0755 $(PREFIX)/share/pixmaps; \
+	  $(INSTALL) -d -m 0755 $(PREFIX)/share/pixmaps; \
 	fi
-	install -m 0644 qiv.png $(PREFIX)/share/pixmaps/qiv.png
+	$(INSTALL) -m 0644 qiv.png $(PREFIX)/share/pixmaps/qiv.png
 	@if [ ! -e $(PREFIX)/share/applications ]; then \
 	  echo install -d -m 0755 $(PREFIX)/share/applications; \
-	  install -d -m 0755 $(PREFIX)/share/applications; \
+	  $(INSTALL) -d -m 0755 $(PREFIX)/share/applications; \
 	fi
-	install -m 0644 qiv.desktop $(PREFIX)/share/applications/qiv.desktop
+	$(INSTALL) -m 0644 qiv.desktop $(PREFIX)/share/applications/qiv.desktop
 	@if ./qiv -f ./intro.jpg ; \
 	then echo "-- Test Passed --" ; \
 	else echo "-- Test Failed --" ; \

=== debian/changelog ===
qiv (2.3.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/install.diff: Removed. Now in upstream.
  * debian/patches/shareman.diff: Removed. Now in upstream.

 -- Bart Martens <bartm@debian.org>  Wed, 01 Feb 2023 08:03:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: qiv
 Section: graphics
-Priority: extra
+Priority: optional
 Maintainer: Bart Martens <bartm@debian.org>
-Build-Depends: cdbs, debhelper (>= 5), libimlib2-dev, libgtk2.0-dev, libx11-dev, libxinerama-dev, libmagic-dev, libexif-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper-compat (= 13), libimlib2-dev, libgtk2.0-dev, libx11-dev, libxinerama-dev, libmagic-dev, libexif-dev, liblcms2-dev
+Standards-Version: 4.5.0
 Homepage: http://qiv.spiegl.de/
+Rules-Requires-Root: no
 
 Package: qiv
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libwmf0.2-7-gtk
 Description: Quick image viewer for X
  Quick Image Viewer (qiv) is a very small and pretty fast GDK/Imlib image
  viewer. Features include zoom, maxpect, scale down, fullscreen,

=== debian/watch ===
version=3
opts="uversionmangle=s/(\d)[\-_]?(rc\d+|pre-rc\d+|pre\d+a?)$/$1~$2/;s/[\-\.](source|Source|src|orig|unix)$//;s/-(bin|osx)$/~$1/;s/^v(\d)/$1/;" \
http://spiegl.de/qiv/download/ .*qiv-(v?[\d\.]+(?:rc|rc\d+|pre-rc\d+|-unix|-source|-Source|-src|\.src|\.orig|[a-z]|b\d+|beta\d+-src|beta\d+)?)\.t.*
# generated with watchupstream 0.6
# watchupstream qiv --try=http://spiegl.de/qiv/download/

## qiv 3.0.1

=== Makefile ===
--- 
+++ 
@@ -22,10 +22,7 @@
 FILTER = 1
 
 # This sets the file extentions to filter on (other file types will be
-# skipped.) It should reflect whatever can be loaded via gdk-pixbuf-loader
-# or is compiled into imlib.
-# The latest version of imlib has removed imagemagick fallback support,
-# so some extensions (XBM TGA) have been removed.
+# skipped.) It should reflect whatever can be loaded via gdk-pixbuf-loader.
 EXTNS = GIF TIFF XPM PNG PPM PNM PGM PCX BMP EIM JPEG SVG WMF ICO WEBP HEIF
 
 # Comment this line out if your system doesn't have getopt_long().
@@ -58,16 +55,19 @@
 
 PKG_CONFIG ?= pkg-config
 INSTALL    ?= install
-#CFLAGS    = -O0 -g -Wall
 CFLAGS    = -O2 -Wall \
 	    -fcaller-saves -ffast-math -fno-strength-reduce \
-	    -fthread-jumps #-march=pentium #-DSTAT_MACROS_BROKEN
-#CFLAGS    = -O2 -Wall -fomit-frame-pointer -finline-functions \
-#	    -fcaller-saves -ffast-math -fno-strength-reduce \
-#	    -fthread-jumps #-march=pentium #-DSTAT_MACROS_BROKEN
+	    -fthread-jumps
 
-INCLUDES  := $(shell $(PKG_CONFIG) --cflags gdk-2.0 imlib2)
-LIBS      := $(shell $(PKG_CONFIG) --libs gdk-2.0 imlib2) -lX11 -lXext -lgio-2.0
+GDK_VERS := 3
+
+ifeq ($(GDK_VERS), 3)
+INCLUDES  := $(shell $(PKG_CONFIG) --cflags gdk-3.0 )
+LIBS      := $(shell $(PKG_CONFIG) --libs gdk-3.0 ) -lX11 -lXext  -lgio-2.0
+else
+INCLUDES  := $(shell $(PKG_CONFIG) --cflags gdk-2.0)
+LIBS      := $(shell $(PKG_CONFIG) --libs gdk-2.0) -lX11 -lXext -lgio-2.0
+endif
 
 # [as] thinks that this is not portable enough:
 # [lc] I use a virtual screen of 1600x1200, and the resolution is 1024x768,

=== debian/changelog ===
qiv (3.0.1-2) unstable; urgency=medium

  * debian/patches/background.diff: Closes: #1102608.

 -- Bart Martens <bartm@debian.org>  Sun, 13 Apr 2025 14:42:36 +0000

qiv (3.0.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: libgtk-3-dev
  * debian/qiv.mime: copied from upstream

 -- Bart Martens <bartm@debian.org>  Tue, 08 Apr 2025 18:54:44 +0000

qiv (2.3.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop wmf support. Closes: #1043459.

 -- Bastian Germann <bage@debian.org>  Sat, 14 Oct 2023 08:24:23 +0000

## qiv 3.0.2

=== Makefile ===
--- 
+++ 
@@ -63,10 +63,10 @@
 
 ifeq ($(GDK_VERS), 3)
 INCLUDES  := $(shell $(PKG_CONFIG) --cflags gdk-3.0 )
-LIBS      := $(shell $(PKG_CONFIG) --libs gdk-3.0 ) -lX11 -lXext  -lgio-2.0
+LIBS      := $(shell $(PKG_CONFIG) --libs gdk-3.0 ) -lX11 -lXext  -lgio-2.0 -lm
 else
 INCLUDES  := $(shell $(PKG_CONFIG) --cflags gdk-2.0)
-LIBS      := $(shell $(PKG_CONFIG) --libs gdk-2.0) -lX11 -lXext -lgio-2.0
+LIBS      := $(shell $(PKG_CONFIG) --libs gdk-2.0) -lX11 -lXext -lgio-2.0 -lm
 endif
 
 # [as] thinks that this is not portable enough:

=== debian/changelog ===
qiv (3.0.2-1) unstable; urgency=medium

  * New upstream release. Closes: #1103712.
  * Removed debian/patches/background.diff, now in upstream.

 -- Bart Martens <bartm@debian.org>  Fri, 24 Oct 2025 19:18:48 +0200

=== debian/control ===
Source: qiv
Section: graphics
Priority: optional
Maintainer: Bart Martens <bartm@debian.org>
Build-Depends: debhelper-compat (= 13), libgtk-3-dev, libx11-dev, libmagic-dev, libexif-dev, liblcms2-dev
Standards-Version: 4.7.2
Homepage: http://qiv.spiegl.de/
Rules-Requires-Root: no

Package: qiv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Quick image viewer for X
 Quick Image Viewer (qiv) is a very small and pretty fast GDK3.0 image
 viewer. Features include zoom, maxpect, scale down, fullscreen,
 brightness/contrast/gamma correction, slideshow, pan with keyboard and mouse,
 rotate left/right, flip, delete (move to .qiv-trash/), jump to image x, jump
 forward/backward x images, filename filter, and you can use qiv to set your
 X11-Desktop background.
 .
 qiv also supports the assignment of external commands (like metacam) to unused
 keys.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- EXTNS="GIF TIFF XPM PNG PPM PNM PGM PCX BMP EIM JPEG SVG ICO WEBP HEIF"

=== debian/watch ===
Version: 5
Source: https://codeberg.org/ciberandy/qiv/tags
Matching-Pattern: .*/v(\d\S+)\.tar\.gz
